### Function

# Dex Fiber yield

unstable since: 1.2

#### Declaration [src]

    gboolean
    dex_fiber_yield (
      GError** error
    )

#### Description [src]

Cooperatively yields execution back to the current scheduler.

This may only be called from within a `DexFiber`. If it is called from any other context, `error` is set to `DEX_ERROR_NO_FIBER`.

Available since: 1.2

#### Return value

Type: `gboolean`

`TRUE` if execution was yielded and the fiber resumed successfully; otherwise `FALSE` and `error` is set.